Move project to a different workspace
Moves a project and all its workflows to a different workspace.
PUT
/api/workspaces/{id}/projects/{projectId}/movePath parameters
idnumberrequiredPath parameter: id
projectIdnumberrequiredPath parameter: projectId
Body
space_infostringrequiredRequest
curl
curl -X PUT https://platform.trickest.com/api/workspaces/{id}/projects/{projectId}/move \
-H "Authorization: Bearer $TRICKEST_TOKEN" \
-H "Content-Type: application/json" \
-d '{ }'Responses
200Project moved successfully
idstringrequirednamestringrequireddescriptionstringspace_idstringspace_infostringspace_namestringauthorstringworkflow_countnumbermetadataobjectcreated_datestringrequiredmodified_datestringrequired400Bad Request – validation error or malformed input
codestringmessagestring401Unauthorized – missing or expired token
codestringmessagestring500Internal Server Error
codestringmessagestring